SalesOS.

Mobile Command

Natural language mobile commands

Mobile Command Controller_parse Command

POST
/v1/mobile-command/parse

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/mobile-command/parse" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_execute Command Frontend

POST
/v1/mobile-command/commands/{id}/execute

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/mobile-command/commands/<string>/execute" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_execute Command

POST
/v1/mobile-command/execute/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/mobile-command/execute/<string>" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_get History

GET
/v1/mobile-command/history

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/mobile-command/history?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_get Suggestions

GET
/v1/mobile-command/suggestions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

inputRequiredstring
curl -X GET "https://api.salesos.org/v1/mobile-command/suggestions?input=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_get Quick Actions

GET
/v1/mobile-command/quick-actions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/mobile-command/quick-actions" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_get Stats

GET
/v1/mobile-command/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/mobile-command/stats" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_undo Command Frontend

POST
/v1/mobile-command/commands/{id}/undo

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/mobile-command/commands/<string>/undo" \
  -H "Authorization: Bearer <token>"

Mobile Command Controller_undo Command

POST
/v1/mobile-command/undo/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/mobile-command/undo/<string>" \
  -H "Authorization: Bearer <token>"